<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WindturbinegoodnessMapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Windturbinegoodness">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="windturbineId" jdbcType="VARCHAR" property="windturbineid" />
    <result column="dayGoodness" jdbcType="DECIMAL" property="daygoodness" />
    <result column="monthGoodness" jdbcType="DECIMAL" property="monthgoodness" />
    <result column="yearGoodness" jdbcType="DECIMAL" property="yeargoodness" />
    <result column="recordDate" jdbcType="DATE" property="recorddate" />
    <result column="dayTop" jdbcType="INTEGER" property="daytop" />
    <result column="monthTop" jdbcType="INTEGER" property="monthtop" />
    <result column="yearTop" jdbcType="INTEGER" property="yeartop" />
    <result column="windtPowerStationId" jdbcType="VARCHAR" property="windtpowerstationid" />
    <result column="modelId" jdbcType="VARCHAR" property="modelid" />
    <result column="dayspeed" jdbcType="DECIMAL" property="dayspeed" />
    <result column="monthspeed" jdbcType="DECIMAL" property="monthspeed" />
    <result column="yearspeed" jdbcType="DECIMAL" property="yearspeed" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, windturbineId, dayGoodness, monthGoodness, yearGoodness, recordDate, dayTop, 
    monthTop, yearTop, windtPowerStationId, modelId, dayspeed, monthspeed, yearspeed
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WindturbinegoodnessExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windturbinegoodness
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by to_number(substr(${orderByClause},INSTR(${orderByClause},'_',-1)+1))
--       order by ${orderByClause}
    </if>
    <if test="isAsc != null">
      <if test="isAsc.trim() == 'asc'">
        asc
      </if>
      <if test="isAsc.trim() == 'desc'">
        desc
      </if>
    </if>

  </select>

  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windturbinegoodness
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbinegoodness
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WindturbinegoodnessExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbinegoodness
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Windturbinegoodness">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbinegoodness (id, windturbineId, dayGoodness, 
      monthGoodness, yearGoodness, recordDate, 
      dayTop, monthTop, yearTop, 
      windtPowerStationId, modelId, dayspeed, 
      monthspeed, yearspeed)
    values (#{id,jdbcType=INTEGER}, #{windturbineid,jdbcType=VARCHAR}, #{daygoodness,jdbcType=DECIMAL}, 
      #{monthgoodness,jdbcType=DECIMAL}, #{yeargoodness,jdbcType=DECIMAL}, #{recorddate,jdbcType=DATE}, 
      #{daytop,jdbcType=INTEGER}, #{monthtop,jdbcType=INTEGER}, #{yeartop,jdbcType=INTEGER}, 
      #{windtpowerstationid,jdbcType=VARCHAR}, #{modelid,jdbcType=VARCHAR}, #{dayspeed,jdbcType=DECIMAL}, 
      #{monthspeed,jdbcType=DECIMAL}, #{yearspeed,jdbcType=DECIMAL})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Windturbinegoodness">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbinegoodness
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="windturbineid != null">
        windturbineId,
      </if>
      <if test="daygoodness != null">
        dayGoodness,
      </if>
      <if test="monthgoodness != null">
        monthGoodness,
      </if>
      <if test="yeargoodness != null">
        yearGoodness,
      </if>
      <if test="recorddate != null">
        recordDate,
      </if>
      <if test="daytop != null">
        dayTop,
      </if>
      <if test="monthtop != null">
        monthTop,
      </if>
      <if test="yeartop != null">
        yearTop,
      </if>
      <if test="windtpowerstationid != null">
        windtPowerStationId,
      </if>
      <if test="modelid != null">
        modelId,
      </if>
      <if test="dayspeed != null">
        dayspeed,
      </if>
      <if test="monthspeed != null">
        monthspeed,
      </if>
      <if test="yearspeed != null">
        yearspeed,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="daygoodness != null">
        #{daygoodness,jdbcType=DECIMAL},
      </if>
      <if test="monthgoodness != null">
        #{monthgoodness,jdbcType=DECIMAL},
      </if>
      <if test="yeargoodness != null">
        #{yeargoodness,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=DATE},
      </if>
      <if test="daytop != null">
        #{daytop,jdbcType=INTEGER},
      </if>
      <if test="monthtop != null">
        #{monthtop,jdbcType=INTEGER},
      </if>
      <if test="yeartop != null">
        #{yeartop,jdbcType=INTEGER},
      </if>
      <if test="windtpowerstationid != null">
        #{windtpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="modelid != null">
        #{modelid,jdbcType=VARCHAR},
      </if>
      <if test="dayspeed != null">
        #{dayspeed,jdbcType=DECIMAL},
      </if>
      <if test="monthspeed != null">
        #{monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="yearspeed != null">
        #{yearspeed,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WindturbinegoodnessExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windturbinegoodness
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinegoodness
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windturbineid != null">
        windturbineId = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.daygoodness != null">
        dayGoodness = #{record.daygoodness,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgoodness != null">
        monthGoodness = #{record.monthgoodness,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargoodness != null">
        yearGoodness = #{record.yeargoodness,jdbcType=DECIMAL},
      </if>
      <if test="record.recorddate != null">
        recordDate = #{record.recorddate,jdbcType=DATE},
      </if>
      <if test="record.daytop != null">
        dayTop = #{record.daytop,jdbcType=INTEGER},
      </if>
      <if test="record.monthtop != null">
        monthTop = #{record.monthtop,jdbcType=INTEGER},
      </if>
      <if test="record.yeartop != null">
        yearTop = #{record.yeartop,jdbcType=INTEGER},
      </if>
      <if test="record.windtpowerstationid != null">
        windtPowerStationId = #{record.windtpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.modelid != null">
        modelId = #{record.modelid,jdbcType=VARCHAR},
      </if>
      <if test="record.dayspeed != null">
        dayspeed = #{record.dayspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.monthspeed != null">
        monthspeed = #{record.monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.yearspeed != null">
        yearspeed = #{record.yearspeed,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinegoodness
    set id = #{record.id,jdbcType=INTEGER},
      windturbineId = #{record.windturbineid,jdbcType=VARCHAR},
      dayGoodness = #{record.daygoodness,jdbcType=DECIMAL},
      monthGoodness = #{record.monthgoodness,jdbcType=DECIMAL},
      yearGoodness = #{record.yeargoodness,jdbcType=DECIMAL},
      recordDate = #{record.recorddate,jdbcType=DATE},
      dayTop = #{record.daytop,jdbcType=INTEGER},
      monthTop = #{record.monthtop,jdbcType=INTEGER},
      yearTop = #{record.yeartop,jdbcType=INTEGER},
      windtPowerStationId = #{record.windtpowerstationid,jdbcType=VARCHAR},
      modelId = #{record.modelid,jdbcType=VARCHAR},
      dayspeed = #{record.dayspeed,jdbcType=DECIMAL},
      monthspeed = #{record.monthspeed,jdbcType=DECIMAL},
      yearspeed = #{record.yearspeed,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Windturbinegoodness">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinegoodness
    <set>
      <if test="windturbineid != null">
        windturbineId = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="daygoodness != null">
        dayGoodness = #{daygoodness,jdbcType=DECIMAL},
      </if>
      <if test="monthgoodness != null">
        monthGoodness = #{monthgoodness,jdbcType=DECIMAL},
      </if>
      <if test="yeargoodness != null">
        yearGoodness = #{yeargoodness,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        recordDate = #{recorddate,jdbcType=DATE},
      </if>
      <if test="daytop != null">
        dayTop = #{daytop,jdbcType=INTEGER},
      </if>
      <if test="monthtop != null">
        monthTop = #{monthtop,jdbcType=INTEGER},
      </if>
      <if test="yeartop != null">
        yearTop = #{yeartop,jdbcType=INTEGER},
      </if>
      <if test="windtpowerstationid != null">
        windtPowerStationId = #{windtpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="modelid != null">
        modelId = #{modelid,jdbcType=VARCHAR},
      </if>
      <if test="dayspeed != null">
        dayspeed = #{dayspeed,jdbcType=DECIMAL},
      </if>
      <if test="monthspeed != null">
        monthspeed = #{monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="yearspeed != null">
        yearspeed = #{yearspeed,jdbcType=DECIMAL},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Windturbinegoodness">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinegoodness
    set windturbineId = #{windturbineid,jdbcType=VARCHAR},
      dayGoodness = #{daygoodness,jdbcType=DECIMAL},
      monthGoodness = #{monthgoodness,jdbcType=DECIMAL},
      yearGoodness = #{yeargoodness,jdbcType=DECIMAL},
      recordDate = #{recorddate,jdbcType=DATE},
      dayTop = #{daytop,jdbcType=INTEGER},
      monthTop = #{monthtop,jdbcType=INTEGER},
      yearTop = #{yeartop,jdbcType=INTEGER},
      windtPowerStationId = #{windtpowerstationid,jdbcType=VARCHAR},
      modelId = #{modelid,jdbcType=VARCHAR},
      dayspeed = #{dayspeed,jdbcType=DECIMAL},
      monthspeed = #{monthspeed,jdbcType=DECIMAL},
      yearspeed = #{yearspeed,jdbcType=DECIMAL}
    where id = #{id,jdbcType=INTEGER}
  </update>
</mapper>